import { Connection, PublicKey, TransactionInstruction } from "@solana/web3.js";
export declare const generateAssociatedTokenAccountAddress: (mint: PublicKey, buyer: PublicKey) => Promise<PublicKey>;
export declare const createAssociatedTokenAccountInstruction: (associatedTokenAddress: PublicKey, payer: PublicKey, walletAddress: PublicKey, splTokenMintAddress: PublicKey) => TransactionInstruction;
export declare const checkIfTransactionSucceeded: (connection: Connection, txSignature: string, lastValidHeight: number, startTime: Date) => Promise<boolean>;
